Server Support Forum
Apache SPDY Modul speziell aktivieren?

Zurück   Server Support Forum > >


Antwort
 
Themen-Optionen Thema bewerten
  #1  
Alt 16.06.2015, 08:48
FrankSoer FrankSoer ist offline
Registered User
 
Registriert seit: 05.2015
Beiträge: 39
Frage Apache SPDY Modul speziell aktivieren?

Hallo zusammen,
ich habe auf meinem VS (Debian Wheezy Apache 2.2.22) das Mod_SPDY installieren lassen.

Im Prinzip sollte es also laufen, der Apache wurde auch neu gestartet genau wie es in der Anleitung von Google steht.

Teste ich die Seite mit einem Browser der das Protokoll unterstützt (Chrome/Firefox) dann wird es aber nicht genutzt. Ein "chrome://net-internals/#spdy" zeigt meine Website nicht in der Session an, wohingegen andere Seiten z.B. Google.de dort aufgelistet werden (insofern liegt es wohl nicht am Browser).

Entsprechende Plugins für FF und Chrome zeigen ebenfalls an, dass SPDY nicht aktiviert ist, wohingegen https://spdycheck.org/ meldet
Zitat:
Success! SPDY is Enabled!
Hurray, this website is using SPDY! The following protocols are supported:

spdy/3
spdy/2
http/1.1
x-mod-spdy/0.9.4.3-420
SPDY Protocol Support Update-To-Date
This website supports the latest version of SPDY, which is spdy/3.
Ich verstehe die Welt nicht mehr. Warum läuft es nicht?
Muss ich noch irgend etwas tun, damit es richtig aktiviert wird? (in der htaccess steht natürlich auch "spdyEnabled on".

Irgendwelche Vorschläge?
Danke!!!
Mit Zitat antworten

  #2  
Alt 16.06.2015, 09:40
FrankSoer FrankSoer ist offline
Registered User
 
Registriert seit: 05.2015
Beiträge: 39
Okay ich habe gerade herausgefunden dass Chrome 40.x SPDY/3 nicht mehr unterstützt und nur noch Support für SPDY/3.1 liefert für das es allerdings keine Apache Mod gibt (nur Nginx).

Gleichzeitig gibt es aber auch keinen Support für HTTP/2?
Mit Zitat antworten
  #3  
Alt 16.06.2015, 13:49
Benutzerbild von MadMakz
MadMakz MadMakz ist offline
Registered User
 
Registriert seit: 03.2013
Alter: 32
Beiträge: 662
Nachdem Google das Modul and die Apache Foundation gespendet hat hat sich keiner mehr darum gekümmert. Da wird glaube ich auch nichts mehr kommen außer irgendwann nativer Apache HTTP/2 support.

Geändert von MadMakz (16.06.2015 um 13:53 Uhr)
Mit Zitat antworten
  #4  
Alt 16.06.2015, 15:47
FrankSoer FrankSoer ist offline
Registered User
 
Registriert seit: 05.2015
Beiträge: 39
Schade eigentlich. Gut SDPY 3.1 soll sowieso auch nur noch bis 2016 unterstützt werden, aber schon ein bisschen schwach wenn die Nginx Community das schafft, die Apaches aber nicht.
Mit Zitat antworten
  #5  
Alt 18.06.2015, 18:28
mobafan mobafan ist offline
Registered User
 
Registriert seit: 11.2012
Beiträge: 11
SPDY wird leider voreilig tot gemacht. Besser ein Update auf Apache 2.4 machen (der 2.2 ohne mod_spdy kann sonst viele Ciphers nicht, da mod_spdy aber nicht mehr gepflegt wird, hat man hier ggf. Sicherheitsprobleme) und damit leben. Soviel langsamer ist der Transfer von Daten dann doch nicht mehr, ggf. muss man eben die Webseite optimieren (z. B. statt vieler kleiner Bilder nur ein großes laden, welches dann für alle möglichen Elemente genutzt und mittels CSS passend aus dem großen Bild ausgeschnitten wird). Ja, ohne Aufwand leider nicht machbar
Mit Zitat antworten
  #6  
Alt 18.06.2015, 19:27
Benutzerbild von Joe User
Joe User Joe User ist offline
Registered User
 
Registriert seit: 11.2008
Ort: Hamburg
Alter: 39
Beiträge: 3.920
Zitat:
Zitat von MadMakz Beitrag anzeigen
Nachdem Google das Modul and die Apache Foundation gespendet hat hat sich keiner mehr darum gekümmert. Da wird glaube ich auch nichts mehr kommen außer irgendwann nativer Apache HTTP/2 support.
Es gibt mod_h2 für Apache 2.4 und Apache 2.6/3.0 wird HTTP/2 nativ unterstützen.
__________________
PayPal.Me/JoeUserWings for LifeWings for Life World Run
RootForum CommunityFreeBSD Remote InstallationFreeBSD WebHosting System

„If there’s more than one possible outcome of a job or task, and one of those outcomes will result in disaster or an undesirable consequence, then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.
Mit Zitat antworten
Antwort

Lesezeichen

Stichworte
apache, https, spdy, ssl


Themen-Optionen
Thema bewerten
Thema bewerten:

Forumregeln
Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist aus.
HTML-Code ist aus.

Gehe zu

Ähnliche Themen
Thema Autor Forum Antworten Letzter Beitrag
Umstellung Plesk: PHP Modul - FastCGI -> Apache Modul d3p Suche 0 30.07.2013 20:21
Plesk Modul: Firewall lässt sich nicht aktivieren szenenight Plesk 2 18.09.2008 23:08
Apache fastcgi deinstallieren und Apache als Modul installieren Eky Webserver 7 11.02.2007 11:10
Modul aktivieren? Biirdi Confixx 9 29.08.2006 10:22


Apache SPDY Modul speziell aktivieren?
Apache SPDY Modul speziell aktivieren?
Apache SPDY Modul speziell aktivieren? Apache SPDY Modul speziell aktivieren?
Powered by vBulletin® Version 3.8.11 (Deutsch)
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Search Engine Optimisation provided by DragonByte SEO (Pro) - vBulletin Mods & Addons Copyright © 2018 DragonByte Technologies Ltd.